summaryrefslogtreecommitdiffstats
path: root/multimedia/SimpleSysexxer/SimpleSysexxer.SlackBuild
diff options
context:
space:
mode:
author Michales Michaloudes <korgie@gmail.com>2011-12-17 10:10:22 -0600
committer Niels Horn <niels.horn@slackbuilds.org>2011-12-18 00:05:10 -0200
commit3b7661c503f5fd9e8b07036895c02603a5747cd0 (patch)
tree1d3d6d15cf2c788ca89082eb22426a5202b87f4e /multimedia/SimpleSysexxer/SimpleSysexxer.SlackBuild
parent622158550e57d3534c7f156a27633f988d35802e (diff)
downloadslackbuilds-3b7661c503f5fd9e8b07036895c02603a5747cd0.tar.gz
slackbuilds-3b7661c503f5fd9e8b07036895c02603a5747cd0.tar.xz
multimedia/SimpleSysexxer: BUILD bump.
Correct path of translation files (shared vs share). Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'multimedia/SimpleSysexxer/SimpleSysexxer.SlackBuild')
-rw-r--r--multimedia/SimpleSysexxer/SimpleSysexxer.SlackBuild10
1 files changed, 6 insertions, 4 deletions
diff --git a/multimedia/SimpleSysexxer/SimpleSysexxer.SlackBuild b/multimedia/SimpleSysexxer/SimpleSysexxer.SlackBuild
index 9d04075bd8..91115cdd85 100644
--- a/multimedia/SimpleSysexxer/SimpleSysexxer.SlackBuild
+++ b/multimedia/SimpleSysexxer/SimpleSysexxer.SlackBuild
@@ -4,7 +4,7 @@
PRGNAM=SimpleSysexxer
VERSION=${VERSION:-0.3}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -34,11 +34,13 @@ else
LIBDIRSUFFIX=""
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
@@ -52,8 +54,8 @@ qmake SimpleSysexxer.pro
make
# manual copy of translations
-mkdir -p $PKG/usr/shared/simplesysexxer/locale
-cp -p $TMP/$PRGNAM-$VERSION/binincludes/translations/*qm $PKG/usr/shared/simplesysexxer/locale/
+mkdir -p $PKG/usr/share/simplesysexxer/locale
+cp -p $TMP/$PRGNAM-$VERSION/binincludes/translations/*qm $PKG/usr/share/simplesysexxer/locale/
# INSTALL_ROOT for .desktop file and icons
make install DESTDIR=$PKG INSTALL_ROOT=$PKG